Skip to main content
POST
/
generation
/
cdingram
/
face-swap:d1d6ea8c8be89d664a07a457526f7128109dee7030fdac424788d762c71ed111
Face Swap
curl --request POST \
  --url https://open.skills.video/api/v1/generation/cdingram/face-swap:d1d6ea8c8be89d664a07a457526f7128109dee7030fdac424788d762c71ed111 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input_image": "<string>",
  "swap_image": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat",
    "aspect_ratio": "1:1",
    "resolution": "1024x1024",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.skills.video/llms.txt

Use this file to discover all available pages before exploring further.

Image-to-image face swapping powered by Replicate.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

input_image
string<uri>
required
swap_image
string<uri>
required
n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
object
required
usage
object
required

Credit usage breakdown for the request